# synchronization

This configuration section contains synchronization settings.

The following example shows the available options within this section.

```javascript
{
  ...
  "synchronization": {
    "disableLocalChanges": false,
    "testCaseTagPrefix": "tc",
    "tagPrefixSeparators": [":"],
    "pull": {
      "enabled": true,
      "enableCreatingNewLocalTestCases": false
    },
    "links": [
      {
        "targetType": "Product Backlog Item",
        "tagPrefix": "pbi",
        "relationship": "Child"
      },
      {
        "tagPrefix": "bug"
      }
    ],
    "attachments": {
      "enabled": true,
      "tagPrefixes": [
        "wireframe",
        "specification"
      ],
      "baseFolder": "resources/files"
    },
    "format": {
      "prefixBackgroundSteps": true,
      "prefixTitle": true,
      "showParameterListStep": "whenUnusedParameters"
    }
  },
  ...
}
```

## Settings

For sub-section settings, click on the name of the setting for details.

| Setting                                                                                                                              | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | Default                                     |
| ------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------- |
| `disableLocalChanges`                                                                                                                | Disables changing feature files in the local repository. If set to true (called *build server mode*), only those changes will be performed that do not need any change in the local feature files. Linking new scenarios or pulling changes from test cases will be skipped. Can be overridden by the `--disableLocalChanges` [command line option](/specsync/jira/reference/command-line-reference/push-command.md). See [Synchronizing test cases from build](/specsync/jira/important-concepts/synchronizing-test-cases-from-build.md) for details. | `false`                                     |
| `testCaseTagPrefix`                                                                                                                  | The tag prefix for specifying the test cases. E.g. specify `testcase` for referring to test cases using a tag, like `@testcase:P01-T1234`.                                                                                                                                                                                                                                                                                                                                                                                                             | `tc`                                        |
| `tagPrefixSeparators`                                                                                                                | Specifies one or more tag prefix separators to recognize in order to be able to support links like `@story=42`. For creating tags, the first separator is used.                                                                                                                                                                                                                                                                                                                                                                                        | `[":"]` (only `:` can be used as separator) |
| `linkLabelSeparator`                                                                                                                 | Specifies the link label separator in order to be able to support links like `@story:42,this_is_the_title`.                                                                                                                                                                                                                                                                                                                                                                                                                                            | `;`                                         |
| [`push`](/specsync/jira/reference/configuration/configuration-synchronization/configuration-synchronization-push.md)                 | Settings to configure the push behavior. See [Pushing scenario changes to Test Cases](/specsync/jira/features/push-features/pushing-scenario-changes-to-test-cases.md)                                                                                                                                                                                                                                                                                                                                                                                 |                                             |
| [`pull`](/specsync/jira/reference/configuration/configuration-synchronization/configuration-synchronization-pull.md)                 | Settings to configure the pull behavior. See [Two-way synchronization](/specsync/jira/features/pull-features/two-way-synchronization.md) for details                                                                                                                                                                                                                                                                                                                                                                                                   |                                             |
| [`links`](/specsync/jira/reference/configuration/configuration-synchronization/configuration-synchronization-links.md)               | Settings to configure how test case links should be updated based on the tags of the scenario. See [Linking work items using tags](/specsync/jira/features/common-synchronization-features/linking-work-items-with-tags.md) for details.                                                                                                                                                                                                                                                                                                               |                                             |
| [`attachments`](/specsync/jira/reference/configuration/configuration-synchronization/configuration-synchronization-attachments.md)   | Settings to allow attaching files to Test Cases during synchronization using tags. See [Attach files to Test Cases using tags](/specsync/jira/features/push-features/attach-files.md) for details.                                                                                                                                                                                                                                                                                                                                                     |                                             |
| [`format`](/specsync/jira/reference/configuration/configuration-synchronization/configuration-synchronization-format.md)             | Settings to configure the format of the synchronized test case. See [Configuring the format of the synchronized test cases](/specsync/jira/features/push-features/configuring-the-format-of-the-synchronized-test-cases.md) for details.                                                                                                                                                                                                                                                                                                               |                                             |
| [`fieldUpdates`](/specsync/jira/reference/configuration/configuration-synchronization/configuration-synchronization-fieldupdates.md) | Specifies how the fields of the Test Case that are not managed by SpecSync should be updated. It can contain update rules in `"key": <VALUE>` format, where `key` is a field name or identifier and `<VALUE>` is the value to update to or an update specifier. See [Update Test Case fields](/specsync/jira/features/push-features/update-test-case-fields.md) for details.                                                                                                                                                                           |                                             |

{% content-ref url="/pages/As0iwTwtwwMJKOfZACmA" %}
[Configuration reference](/specsync/jira/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/jira/reference/configuration/configuration-synchronization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
